# -*- encoding: utf-8 -*-
# stub: capistrano-distribution 0.4.3 ruby lib

Gem::Specification.new do |s|
  s.name = "capistrano-distribution".freeze
  s.version = "0.4.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jeremy Bopp".freeze]
  s.date = "2017-12-27"
  s.description = "This gem hooks into the SCM functionality of Capistrano 3.x in order to provide\na more generic distribution strategy.  Not only is it possible to deploy from a\nsimple Git repository, but deployment of contents from Tar and ZIP files is also\npossible.  It is even easy to create deployments based on multiple sources.\n".freeze
  s.email = ["jeremyb@spiceworks.com".freeze]
  s.homepage = "http://github.com/spiceworks/capistrano-distribution".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Flexible distribution for Capistrano 3.x.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<capistrano>.freeze, ["> 3.4.0", "< 3.6.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.5.0"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.8.4"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.12"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.3.4"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 1.4.0"])
  else
    s.add_dependency(%q<capistrano>.freeze, ["> 3.4.0", "< 3.6.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.5.0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.8.4"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.12"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.3.4"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 1.4.0"])
  end
end
