# News and Notifications by Version

This file lists noteworthy changes which may affect users of this project.  More
detailed information is available in the rest of the documentation.

**NOTE:** Date stamps in the following entries are in YYYY/MM/DD format.


## v0.4.3 (2017/27/12)

* Upgrade yard to avoid a vulnerability during development.

## v0.4.2 (2016/05/12)

* Add support for Capistrano 3.5.0.

## v0.4.1 (2016/03/15)

* Do not try to work within the repo directory since it may not exist.

## v0.4.0 (2016/03/15)

* Create workspace for downloaded ZIP files before downloading them.

## v0.3.2 (2016/03/01)

* Update copyright date.

## v0.3.1 (2016/03/01)

* Add more usage details in the README.

## v0.3.0 (2016/03/01)

* Remove a debugging statement.

## v0.2.0 (2016/02/29)

* Provide a setting (`:distribution_runner_opts`) to configure runner options.
  * Must be a hash of options acceptable by the `on` method of sshkit.
* Git distributables can now change the repo URL without manual intervention.
* Pruning of dead Git branches now happens during repository update.
  * Avoids too many dead branches causing updates to run forever.

## v0.1.0 (2016/02/09)

* Incompatible changes
  * The `distribution` setting is now a stack of distributor definitions to be
    applied in order as a series of overlays in the release area.
* Provides the `distribution:set_current_revision` task used by newer
  Capistrano releases.
  * A `release_id` setting is required to provide a reasonable value.

## v0.0.2 (2014/03/17)

* Ensure that the internal_path attribute of AbstractArchiver is a Pathname
  * Fixes extraction of ZIP archives.
* Silence curl and unzip in the CurlZip distributor
* Silence unzip in the Zip distributor

## v0.0.1 (2014/02/27)

* Birthday
